# Python imports
from StringIO import StringIO
import re
import urlparse

# CMF imports
from Products.CMFCore.utils import getToolByName

def fckAbsUrl(self, obj_url, text):
   """
   Find real absolute url for href and img
   """
   # obj_url = self.absolute_url()
   html = text
   utool = getToolByName(self, 'portal_url')
   portal = utool.getPortalObject()
   portal_path = utool.getPortalPath()
   portal_url = utool()

   # Method to replace src and href link by new one
   def replace_locale_url(match):
       """Compute local url
       """
       url = str(match.group('url'))
       attribute =  str(match.group('attribute'))
       if match.group('protocol') is not None:
           url = '%s%s' % (match.group('protocol'), url)

       elif 'resolveuid' not in url.lower():
         try:
            url=urlparse.urljoin (obj_url, url)
         except:
            pass 

       url = url.replace(portal_url, portal_path)

              

       return '%s="%s"' % (attribute,url) 
       return match.group(0) 

     



   abs_url = re.compile('(?P<attribute>href|src)\s*=\s*([\'\"])(?P<protocol>(ht|f)tps?)?(?P<url>[^\"\']*)\\2', re.IGNORECASE)
   html = abs_url.sub(replace_locale_url, html) 




   return html 
